PGP_DECRYPT(3)

FUNCTION
pgp_decrypt - Decrypt a block of data using PGP and PGPdaemon.

SYNOPSIS
#include <karma_pgp.h>

char * pgp_decrypt

(CONST char *ciphertext, unsigned int ciphertext_length, unsigned int *plaintext_length)

DESCRIPTION
Decrypt a block of data using PGP and PGPdaemon.

ciphertext
    The input ciphertext data.

ciphertext_length
    The length of the input ciphertext data.

plaintext_length
    The length of the decrypted data is written here.

RETURN VALUE
A pointer to the plaintext data on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/